Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextDocument.MetaInformation

    java.lang.Object
      java.lang.Enum<QTextDocument.MetaInformation>
          com.trolltech.qt.gui.QTextDocument.MetaInformation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextDocument.MetaInformation>

Enclosing class:
  QTextDocument

    public static enum QTextDocument.MetaInformation

extends java.lang.Enum<QTextDocument.MetaInformation>
implements QtEnumerator

This enum describes the different types of meta information that can be added to a document.

See Also:
  `metaInformation`, `setMetaInformation`

Enum Constant Summary
`DocumentTitle` The title of the document.

Method Summary
`static QTextDocument.MetaInformation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextDocument.MetaInformation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextDocument.MetaInformation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DocumentTitle

    public static final QTextDocument.MetaInformation DocumentTitle

  The title of the document.

Method Detail

### values

    public static final QTextDocument.MetaInformation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextDocument.MetaInformation c : QTextDocument.MetaInformation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextDocument.MetaInformation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextDocument.MetaInformation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD